Subject: Re: Originating LSAs during OSPF graceful restart

From: "Kandula, Ramesh" <[email-masked]>
Date: Mon, 6 Feb 2006 12:13:07 -1000

Hi Acee,

If there are more than two routers on the broadcast network, and the DR
restarts then it will have some LSDB to summarize for helper routers other
than the first helper router with whom adjcency is formed (they are supposed
to have the same LSDB anyway).

Your answer to No for the second question clears eveything.

Thanks a lot for your help.
Ramesh 

-----Original Message-----
From: Acee Lindem [mailto:[email-masked]]
Sent: Monday, February 06, 2006 11:34 AM
To: [email-masked]
Subject: Re: Originating LSAs during OSPF graceful restart

Hi Ramesh,

Kandula, Ramesh wrote:

>Hi Acee
>
>I agree with what you said, but it didn't help me completely so let me put
>my question simple and straight-forward.
>
>1. What is the restarting router supposed to summarize during database
>exchange while forming an adjacency with a neighbor (helper or otherwise)? 
>  
>
What is currently in its link state database.

>2. Is the behavior here any different when compared to normal OSPF bring
up?
No.
Hope this helps,
Acee

>Thanks again
>Ramesh
>
>-----Original Message-----
>From: Acee Lindem [mailto:[email-masked]]
>Sent: Monday, February 06, 2006 10:47 AM
>To: [email-masked]
>Subject: Re: Originating LSAs during OSPF graceful restart
>
>
>Hi Ramesh,
>
>Kandula, Ramesh wrote:
>
>  
>
>>Hi Acee,
>>
>>Thanks for the reply.
>>
>>Are you saying that the restarting router should not summarize
>>self-originated lsas (I mean pre-restart self originated lsas) during
>>database exchange with a neighbor? 
>>
>>    
>>
>No. I'm saying the restarting router will not originate new LSAs until 
>exiting
>graceful restart.
>
>  
>
>>If so, why is this required? I don't find
>>any statement in RFC3623 which implies this? 
>>
>>Also, you said if a neighbor doesn't have a pre-restart lsa, the
restarting
>>router will send it. If there was an adjacency before restart with this
>>neighbor, isn't the restarting router supposed to quit restart mode? 
>> 
>>
>>    
>>
>No. In fact, a router won't act as a helper router unless it previously 
>had an adjacency with
>the restarting router.
>
>Thanks,
>Acee
>
>  
>
>>thanks
>>ramesh
>>
>>-----Original Message-----
>>From: Acee Lindem [mailto:[email-masked]]
>>Sent: Saturday, February 04, 2006 2:34 AM
>>To: [email-masked]
>>Subject: Re: Originating LSAs during OSPF graceful restart
>>
>>
>>Hi Ramesh,
>>
>>Ramesh Kandula wrote:
>>
>> 
>>
>>    
>>
>>>Hi All,
>>>
>>>Should the restarting routing summarize it's own lsas (self-originated) 
>>>during adjaceny establishment? This can happen in the following scenario.
>>>
>>>Suppose there are 3 OSPF routers on a broadcast network and the DR 
>>>restarts. When it establishes adjacency with the first neighbor, it will 
>>>get its own lsas from it. Now while forming adjaceny with the second 
>>>neighbor, should it summarize it's own lsas?
>>>
>>>
>>>   
>>>
>>>      
>>>
>>No.
>>
>> 
>>
>>    
>>
>>>If yes, then the neighbor will request for them and the restarting router

>>>will send these lsas. So does the RFC 3623 mean that the restarting
router
>>>      
>>>
>
>  
>
>>>should not originate "newer" instances of lsas of type 1,5 or 7? 
>>>
>>>
>>>   
>>>
>>>      
>>>
>>If the neighbor doesn't already have them (and normally it will), the 
>>restarting router will send its
>>pre-restart LSAs. Don't confuse origination with sending an LSA during 
>>the database exchange
>>process.
>>
>>Hope this helps,
>>Acee
>>
>> 
>>
>>    
>>
>>>Thanks in advance
>>>ramesh
>>>
>>>
>>>
>>>   
>>>
>>>      
>>>
>> 
>>
>>    
>>
>
>  
>